Qt 5.6 | Qt 3D | C++ Classes | QFrameGraphSelector

Qt 5.6.3 Reference Documentation

# QFrameGraphSelector Class

(Qt3DRender::QFrameGraphSelector)

Qt3DRender::QFrameGraphSelector provide a way to select a one or more subtree of the FrameGraph at runtime More...

Header: | #include <QFrameGraphSelector>
qmake: | QT += 3drender
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QFrameGraphSelector(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QFrameGraphSelector()
QFrameGraphSelectorFunctorPtr | selectionFunctor() const
void | setSelectionFunctor(QFrameGraphSelectorFunctorPtr functor)

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Qt3DRender::QFrameGraphSelector provide a way to select a one or more subtree of the FrameGraph at runtime

The selection is made by executing Qt3DRender::QFrameGraphSelectorFunctor that will return a vector containing the indices of the FrameGraph subtree to be used for the current frame.

## Member Function Documentation

### QFrameGraphSelector::QFrameGraphSelector(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QFrameGraphSelector.

### QFrameGraphSelector::~QFrameGraphSelector()

Destroys the instance of QFrameGraphSelector.

### `[protected]` void QFrameGraphSelector::copy(const Qt3DCore::QNode *ref)

### QFrameGraphSelectorFunctorPtr QFrameGraphSelector::selectionFunctor() const

Returns the functor to be used for selecting FrameGraph subtrees.

See also setSelectionFunctor().

### void QFrameGraphSelector::setSelectionFunctor(QFrameGraphSelectorFunctorPtr functor)

Sets the functor functor to be used for selecting FrameGraph subtrees at runtime.

See also selectionFunctor().